* {
    margin: 0;
}

html, body {
    background-color: white;
    color: rgb(21, 34, 56);
    font-family: 'Enriqueta', serif;
    font-weight: 400;
    font-size: 14;
    height: 100%;
}

a,
a.active,
a:hover {
    text-decoration: none;
    text-shadow: none;
    color: inherit;
    outline: none;
}
/* Override outlines for: 
    - Firefox dotted outlines for anchor tags
    - blue outlines for focussed input fields
*/
a, a:active, a:focus, 
*:focus {
    outline: none;
    text-decoration: none;
}

footer {
    padding: 20px 0;
    color: rgb(95, 94, 97);
    font-size: 14px;
    line-height: 22px;
    border-top: 1px solid #eeeeee;
    background-color: white;
    width: 100%;
    text-align: center;
}
footer a img {
    width: 35px;
    height: auto;
    margin-top: 10px;
}

header {
    font-family: Raleway, sans-serif;
    position: fixed;
    z-index: 10;
    border-bottom: 1px solid #eeeeee;
    padding-top: env(safe-area-inset-top);
    width: 100%;
    background-color: rgba(255, 255, 255, 0.95);
    line-height: 80px;
}
header img.hdrlogo {
    height: 70px; 
    width: auto;
}
/* menu list */
header ul.menuList {
    margin: 0;
    padding: 0;
    list-style: none;
    overflow: hidden;
}
header ul.menuList li a:not(.donateBtn):hover {
    border-bottom: 1px solid #333;
}
header nav.twFrame {
    line-height: inherit;
}
header nav.twFrame a > img {
    vertical-align: middle;
}
header nav.twFrame a.btn {
    font-size: 14px;
    line-height: inherit;
    color: #283847;
    vertical-align: bottom;
    margin-left: 40px;
}


/* Responsive hamburger header */
@media screen and (min-width: 980px) {
    header ul.menuList {
        clear: none;
        float: right;
    }
    header ul.menuList li {
        float: left;
    }
    header .menuIcon,
    header li a.homeBtn {
        display: none;
    }
}

@media screen and (max-width: 979px) {
    header.menuChecked {
        background-color: rgba(255, 255, 255, 0.95);
    }
    header ul.menuList {
        clear: both;
        max-height: 0;
    }
    header ul.menuList {
        line-height: 50px;
    }
    header ul.menuList a.btn {
        font-size: 16px;
    }
    /* menu checkbox */
    header .menuCheck:checked ~ ul.menuList {
        max-height: 500px;
    }
    header .menuCheck:checked ~ .menuOpen {
       display: none;
    }
    header .menuCheck:checked ~ .menuClose {
       display: inline-block;
    }
    /* menu icons */
    header .menuIcon {
        cursor: pointer;
        display: inline-block;
        float: right;
        position: relative;
        user-select: none;
    }
    header .menuIcon.menuClose {
        display: none;
    }
}

main {
    padding-top: calc(env(safe-area-inset-top) + 80px);    /* 80px = @extNavMenuHeight | tolerance for fixed menu */
    /* 
     * Ref. for sticky footer: https://css-tricks.com/couple-takes-sticky-footer/ 
     * Hardcoding sum of @extNavMenuHeight + @navMenuHeight for header and footer, because LESS doesn't work with calc.
     */
    min-height: calc(100vh - 140px);
}


/* 
 ************
 *
 * LAYOUT ELEMENTS
 *
 ************
 */

/* apply to containers that shouldn't bleed to the edges */
.twFrame {
    max-width: 97.5%;     /* Responsively adjust below */
    margin: 0 auto;
}

section,
.row-fluid {
    margin: 0;
    padding: 0;
    width: 100%;
}


/* 
 ************
 *
 * BUTTONS
 *
 ************
 */

.btn {
    text-decoration: none;
    color: #999999;
    border: none;
    border-bottom: 1px solid #bfbfbf;

    font-family: 'Raleway', sans-serif;
    font-weight: 400;
    font-size: 14px;
    height: 25px;
    line-height: 25px;
    vertical-align: middle;
}
.btn.donateBtn {
    height: 32px;
    line-height: 32px;
    font-size: 16px;
    font-weight: bold;
    padding: 15px 30px;
    border-radius: 15px;
}
.btn.donateBtn.yellowBtn {
    color: rgb(21, 34, 56);
    border: 1px solid #ffca4b;
    background-color: #ffca4b;
}
.btn.donateBtn.blueBtn {
    color: white;
    border: 1px solid rgb(21, 34, 56);
    background-color: rgb(21, 34, 56);
}
.btn.noborder {
    border: none;
}


/*
 ************
 *
 * ICONS
 *
 ************
 */

 svg.twi {
    width: 18px;
    height: 18px;
    fill: none;
    stroke: currentColor;
    stroke-width: 1.5px;
    stroke-linecap: round;
    stroke-linejoin: round;
    vertical-align: middle;
    display: inline-block;
}


/* 
 ************
 *
 * LINKS & TEXT 
 *
 ************
 */

p {
    margin: 0 0 10px;
}
.banner {
    padding: 60px 0;
}
.headline {
    font-weight: 600;
    font-size: 44px;
    line-height: 64px;
    text-align: center;
}
.subheadline {
    font-size: 36px; 
    line-height: 50px; 
}
.expln {
    font-size: 18px;
    line-height: 30px;
    margin: 20px 0px;
}
.headline-expln {
    font-size: 22px;
    line-height: 36px;
    text-align: center;
}
a.plink {
    border-bottom: 2px dotted #999999;
}
a.plink:hover {
    border-bottom: 2px dotted #000000;
}
.undl {
    border-bottom: 1px solid rgb(21, 34, 56);
}
.caption {
    margin: 5px;
    font-size: 15px;
    line-height: 20px;
    color: #7f7f7f;
    text-align: center;
}
.ralign {
    text-align: right;
}
.calign {
    text-align: center;
}
.emphasis { 
    font-style: italic;
}
.dull {
    color: rgb(75, 75, 75);
}


/* 
 ************
 *
 * BOXES & DIVS
 *
 ************
 */

img {
    width: 100%;
    height: auto;
}
.cinch {
    max-width: 850px;
    margin: 0 auto;
}
.moat {
    padding: 40px 0;
}
.filler {
    padding-top: 30px;
}
.tileleft {
    display: inline-block;
    float: left;
    margin-right: 2%;
}
.tileright {
    display: inline-block;
    float: right;
    margin-left: 2%;
}
/* Used with a floated div, it expands into the leftover space. */
.expandinto {
    overflow: hidden;
}


/* FLEX CONTAINERS */
.flex-container {
    display: flex;
    flex-direction: row;
    margin: 0 auto;
}
.flex-item {
    flex: 25%;
    margin: 10px 5px;
}
.flex-item img {
    width: 98%; 
    margin: 0 auto;
}
.gallery,
.concerts {
    flex-wrap: wrap;
}
.gallery .flex-item img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    transform: scale(1);
    transition: all 0.3s ease-in-out;
}
.gallery .flex-item .caption {
    font-size: 13px;
}
.concerts .flex-item {
    padding: 20px;
    position: relative;
}
.concerts img {
    width: 150px;
    height: 150px;
    border: 1px solid #bfbfbf;
    border-radius: 8px;
    object-fit: cover;
}
.concerts p {
    font-size: 17px;
    line-height: 30px;
    margin: 25px 0 0 0;
}
.concerts p.nomargin {
    margin: 0;
}
.concerts p.artiste {
    font-size: 22px;
    font-weight: bold;
}
.concerts p.date {
    font-size: 20px;
}
.concerts p.courtesy {
    font-size: 15px;
}
.concerts .flex-item .badge {
  position: absolute; /* Positions the badge based on the nearest positioned ancestor. */
  top: 0px;           /* Aligns to the top edge. */
  left: 0px;          /* Aligns to the left edge. */
  background-color: #C75655;
  color: white;
  padding: 5px;
  border-radius: 5px;
  font-size: 12px;
  font-style: bold;
  justify-content: center; /* Centers text horizontally. */
  align-items: center; /* Centers text vertically. */
  transform: translate(-10%, -10%); /* Moves the badge slightly outside the corner. */
}

/* 
 ************
 *
 * RESPONSIVE DEFINITIONS
 * iPhone portrait  : x <= 479 px
 * iPhone landscape : 480 <= x <= 767 px
 * iPad portrait    : 768 <= x <= 1023 px
 * iPad landscape   : 1024 <= x <= 1279 px
 * Laptops & above  : x >= 1280 px
 *
 ************
 */

@media screen and (min-width: 401px) and (max-width: 767px) {
    .flex-item {
        flex: 50%;
    }
}
/* visible-phone */
@media screen and (max-width: 767px) {
    .phone_hidden {
        display: none;
    }
    .flex-item {
        flex: 100%;
    }
    .flex-item-text-right {
        padding: none;
    }
}
@media screen and (min-width: 768px) {
    .phone_only {
        display: none;
    }
    .flex-item-text-right {
        padding-left: 15px; 
        text-align: left;
    }
}
@media screen and (min-width: 1281px) {
    .twFrame {
        max-width: 1248px;      /* Maximum frame fixed at 97.5% of 1280px for larger screens */
    }
}
